Wikipedia.org Portal Dashboard: investigate adding regions (or states) to geographical breakdown
Closed, ResolvedPublic2 Story Points

Description

As a Product Owner, I want to know additional detailed information on where the visits to the wikipedia.org portal page are originating from. Something more detailed than what is currently being shown in the dashboard: http://discovery.wmflabs.org/portal/#country_breakdown.

This could be as simple as breaking it up into regions, ie: west coast, midwest, east coast in the USA.

debt created this task.May 25 2016, 11:51 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 25 2016, 11:51 PM
debt triaged this task as Normal priority.May 25 2016, 11:51 PM
debt moved this task from Needs triage to Analysis on the Discovery board.
debt moved this task from Needs triage to Later on the Discovery-Analysis board.May 31 2016, 8:57 PM
debt moved this task from Later to Up Next on the Discovery-Analysis board.May 31 2016, 8:59 PM

I think we should use regions instead of states because it's the difference between breaking down US traffic into like 5 regions (reasonable) vs 50-55 different states (too much). The hard part (I think) will be coming to a consensus about which states belong to which regions as regional breakdown of U.S. is generally very ambiguous and different people have different definitions.

@debt: since you're the primary consumer of the data, the decision of how many regions and which states belong to which regions will be entirely up to you, but let me know if you would like to set up a brief meeting to figure these two details out. Here's what U.S. Census Bureau uses: http://www.census.gov/econ/census/help/geography/regions_and_divisions.html although maybe we should use that as a base and adjust a little bit — e.g. Kevin suggested Alaska and Hawaii as their own region(s).

mpopov claimed this task.Jun 21 2016, 8:40 PM
mpopov set the point value for this task to 2.
debt added a comment.Jun 22 2016, 2:43 PM

Good idea! However, let's do these regions for the US (broke out AK, CA OR & WA as the Pacific region):

Northeast Region

  • New England Division: Connecticut, Maine, Massachusetts, New Hampshire, Rhode Island and Vermont
  • Middle Atlantic Division: New Jersey, New York and Pennsylvania

Midwest Region

  • East North Central Division: Illinois, Indiana, Michigan, Ohio and Wisconsin
  • West North Central Division: Iowa, Kansas, Minnesota, Missouri, Nebraska, North Dakota and South Dakota

South Region

  • South Atlantic Division: Delaware, District of Columbia, Florida, Georgia, Maryland, North Carolina, South Carolina, Virginia and West Virginia
  • East South Central Division: Alabama, Kentucky, Mississippi and Tennessee
  • West South Central Division: Arkansas, Louisiana, Oklahoma and Texas

West Region

  • Mountain Division: Arizona, Colorado, Idaho, Montana, Nevada, New Mexico, Utah and Wyoming

Pacific Region

  • Alaska, California, Hawaii, Oregon and Washington

Change 295572 had a related patch set uploaded (by Bearloga):
Adds the state label to Event Logging payload for US visitors

https://gerrit.wikimedia.org/r/295572

Change 295583 had a related patch set uploaded (by Bearloga):
Group US states into regions

https://gerrit.wikimedia.org/r/295583

@debt: Thoughts on including Puerto Rico, American Samoa, and U.S. Virgin Islands as a 6th U.S. region? Right now they're counted as separate countries and put into "Other" category, I believe.

Change 295601 had a related patch set uploaded (by Bearloga):
Add forward-compatibility in preparation for region-level geodata

https://gerrit.wikimedia.org/r/295601

debt added a comment.Jun 23 2016, 1:57 PM

Hi @mpopov, yes, that makes sense for a 6th region for the US for PR, AS and VI 'region'

Change 295572 merged by jenkins-bot:
Adds the state label to Event Logging payload for US visitors

https://gerrit.wikimedia.org/r/295572

Change 295583 merged by Bearloga:
Group US states into regions

https://gerrit.wikimedia.org/r/295583

Change 295601 merged by Bearloga:
Add forward-compatibility in preparation for region-level geodata

https://gerrit.wikimedia.org/r/295601

Change 297445 had a related patch set uploaded (by Bearloga):
Deploy new Portal dash with regional U.S. data

https://gerrit.wikimedia.org/r/297445

Change 297445 merged by Bearloga:
Deploy new Portal dash with regional U.S. data

https://gerrit.wikimedia.org/r/297445

debt added a comment.Jul 7 2016, 10:00 PM

Sweet! :)

debt closed this task as Resolved.Jul 20 2016, 4:19 PM